Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class PropertyBatchUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.PropertyBatchUpdateException

All Implemented Interfaces:
  Serializable

    public class PropertyBatchUpdateException

extends BeansException

Combined exception, composed of individual PropertyAccessException instances. An object of this class is created at the beginning of the binding process, and errors added to it as necessary.

The binding process continues when it encounters application-level PropertyAccessExceptions, applying those changes that can be applied and storing rejected changes in an object of this class.

Since:
  18 April 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)` Create a new PropertyBatchUpdateException.

Method Summary
`boolean` | `contains(Class exClass)` Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.
`int` | `getExceptionCount()` If this returns 0, no errors were encountered during binding.
`String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`PropertyAccessException` | `getPropertyAccessException(String propertyName)` Return the exception for this field, or `null` if there isn't one.
`PropertyAccessException[]` | `getPropertyAccessExceptions()` Return an array of the propertyAccessExceptions stored in this object.
`void` | `printStackTrace(PrintStream ps)` Print the composite message and the embedded stack trace to the specified stream.
`void` | `printStackTrace(PrintWriter pw)` Print the composite message and the embedded stack trace to the specified writer.
`String` | `toString()`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getCause, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyBatchUpdateException

    public PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)

  Create a new PropertyBatchUpdateException.

  Parameters:
    `propertyAccessExceptions` - the List of PropertyAccessExceptions

Method Detail

### getExceptionCount

    public final int getExceptionCount()

  If this returns 0, no errors were encountered during binding.

### getPropertyAccessExceptions

    public final PropertyAccessException[] getPropertyAccessExceptions()

  Return an array of the propertyAccessExceptions stored in this object. Will return the empty array (not null) if there were no errors.

### getPropertyAccessException

    public PropertyAccessException getPropertyAccessException(String propertyName)

  Return the exception for this field, or `null` if there isn't one.

### getMessage

    public String getMessage()

  Description copied from class: `NestedRuntimeException`
  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `NestedRuntimeException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Description copied from class: `NestedRuntimeException`
  Print the composite message and the embedded stack trace to the specified stream.

  Overrides:
    `printStackTrace` in class `NestedRuntimeException`
  Parameters:
    `ps` - the print stream

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Description copied from class: `NestedRuntimeException`
  Print the composite message and the embedded stack trace to the specified writer.

  Overrides:
    `printStackTrace` in class `NestedRuntimeException`
  Parameters:
    `pw` - the print writer

### contains

    public boolean contains(Class exClass)

  Description copied from class: `NestedRuntimeException`
  Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.

  Currently just traverses `NestedRuntimeException` causes. Will use the JDK 1.4 exception cause mechanism once Spring requires JDK 1.4.

  Overrides:
    `contains` in class `NestedRuntimeException`
  Parameters:
    `exClass` - the exception type to look for
  Returns:
    whether there is a nested exception of the specified type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.